# Add-On for pretalx vm hosted at c3voc.
# c3voc ansible only takes care of the basic things, this node only
# does the things ansible does *not* do.

nodes['voc.pretalx'] = {
    'hostname': 'pretalx.c3voc.de',
    'bundles': {
        'c3voc-addons',
        'pretalx',
        'postgresql',
    },
    'metadata': {
        'nginx': {
            'vhosts': {
                'pretalx': {
                    'domain': 'pretalx.c3voc.de',
                    'proxy': {
                        '/': {
                            'target': 'http://127.0.0.1:8345/',
                        },
                    },
                    'extras': True,
                },
            },
        },
        'pretalx': {
            'version': 'v2.1.1',
            'domain': 'pretalx.c3voc.de',
            'mail_from': 'pretalx@c3voc.de',
        },
    },
}
